package web.gui;

import java.util.HashMap;
import java.util.Map;

import net.bo.Bo;

public class ConvertToHtml {
	/**
	 * Retourne une Liste HTML de type Select affichant les objets de la map passée en paramétre
	 * @param map Collection à afficher
	 * @param htmlId id HTML de la liste Select
	 * @param size 1 pour une comboBox, + de 1 pour une liste standard
	 * @return représentation HTML de la liste
	 */
	public static String mapToSelect(HashMap<String, ? extends Bo> map,String htmlId,int size){
		String result="<select name='"+htmlId+"' id='"+htmlId+"' size='"+size+"'>";
		for(Map.Entry<String, ? extends Bo> entryMap:map.entrySet()){
			result+="<option value='"+entryMap.getKey()+"'>"+entryMap.getValue()+"</option>";
		}
		return result+"</select>";		
	}
	/**
	 * @see ConvertToHtml#hashMapToSelect(HashMap, String, int)
	 */
	public static String mapToSelect(HashMap<String, ? extends Bo> map,String htmlId){
		return mapToSelect(map, htmlId, 1);
	}
	/**
	 * Retourne une Liste d'éléments HTML affichant les objets de la map passée en paramétre
	 * @param map Collection à afficher
	 * @param htmlId id HTML de la liste Select
	 * @param mask masque d'affichage d'un item de la liste
	 * @return représentation HTML de la liste
	 */
	public static String mapToHTML(HashMap<String, ? extends Bo> map,String htmlId,String mask){
		String result="";
		for(Map.Entry<String, ? extends Bo> entryMap:map.entrySet()){
			result+=mask.replace("{id}", entryMap.getKey()).replace("{item}",entryMap.getValue()+"");
		}
		return result+"</select>";		
	}
	public static String mapToHTML(HashMap<String, ? extends Bo> map,String htmlId){
		return mapToHTML(map, htmlId,"<div id='{id}'>{item}</div>");
	}
}
